classification
Title: Tests fail on Mageia Linux Cauldron x86-64 with some configure flags
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, ned.deily, r.david.murray, shlomif
Priority: normal Keywords:

Created on 2013-06-05 15:20 by shlomif, last changed 2014-08-02 04:45 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
python-make-test-output.txt shlomif, 2013-06-05 15:20
Messages (4)
msg190665 - (view) Author: Shlomi Fish (shlomif) * Date: 2013-06-05 15:20
After I build Python-3.3.2 from the .tar.xz using the following script (on Mageia Linux Cauldron x86-64):

<<<
#!/bin/bash
./configure --prefix="$HOME/apps/python3" --with-threads \
                --enable-ipv6 --with-dbmliborder=gdbm \
                --with-system-expat \
                --with-system-ffi \
                --enable-shared \
                --with-valgrind
shlomif@telaviv1:~/Download/unpack/prog/python/Python-3.3.2$ 
>>>

I get many test failures in make test (in the file attached to this repository). Can you look into fixing them? This is a precursor for fixing this bug:

https://bugs.mageia.org/show_bug.cgi?id=9395

Regards,

-- Shlomi Fish
msg190668 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-06-05 15:44
This is not the sort of bug report that is likely to get much action.  Our tests pass normally (we have a buildbot fleet to ensure that they do before we cut a release), so it will be necessary to figure out why they are failing for your particular setup.  Probably we don't have a buildbot that runs with your particular selection of config flags (or your particular system libraries), but that may or may not be relevant to the issues you are seeing.

Reporting individual test failures as separate issues and working with us to resolve them is more likely to produce a useful result.
msg224435 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-31 18:17
Is there anything we can do here, do we close it as "out of date" or what?
msg224532 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-08-02 04:45
As the cited Mageia bug has been closed, there seems to be no reason to keep this issue open.
History
Date User Action Args
2014-08-02 04:45:09ned.deilysetstatus: open -> closed

nosy: + ned.deily
messages: + msg224532

resolution: third party
stage: resolved
2014-07-31 18:17:42BreamoreBoysetversions: + Python 3.4, Python 3.5, - Python 3.3
nosy: + BreamoreBoy

messages: + msg224435

type: behavior
2013-06-05 15:44:03r.david.murraysetnosy: + r.david.murray
messages: + msg190668
2013-06-05 15:20:21shlomifcreate